SRC_URI += "file://cfg80211.conf"
PR = "m1"

do_install_append() {
	install -d ${D}{sysconfdir}/modprobe.d
	install -m 644 -D ${WORKDIR}/cfg80211.conf ${D}${sysconfdir}/modprobe.d/cfg80211.conf
}


# -p option is striplevel
SRC_URI += " file://cfg80211.conf \
           file://WiFi-SSID \
           file://setchan \
           file://default \
           "

do_install() {
    install -d ${D}${sbindir} ${D}${sysconfdir}/init.d
    install -d ${D}${sbindir} ${D}${sysconfdir}/default
    install -m 0644 ${B}/hostapd.conf ${D}${sysconfdir}
    install -m 0755 ${B}/hostapd ${D}${sbindir}
    install -m 0755 ${B}/hostapd_cli ${D}${sbindir}
    install -m 755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/hostapd
    install -m 755 ${WORKDIR}/default ${D}${sysconfdir}/default/hostapd

    install -m 644 -D ${WORKDIR}/cfg80211.conf ${D}${sysconfdir}/modprobe.d/cfg80211.conf
    install -d ${D}/usr/share/hostapd
    install -m 0444 ${WORKDIR}/WiFi-SSID ${D}/usr/share/hostapd/WiFi-SSID.patch
    install -d ${D}/usr/local/bin
    install -m 0744 ${WORKDIR}/setchan ${D}/usr/local/bin
}

# ${PN}-extra sets a unique SSID name, and has a channel setting utility
PACKAGES =+ "${PN}-extra ${PN}-cfg"
RDEPENDS_${PN}-extra = "${PN}-cfg bash"

FILES_${PN}-extra = "/usr/local/bin/* /usr/share/hostapd/WiFi-SSID.patch"

# initscripts are unique to mLinux so put into ${PN}-cfg
INITSCRIPT_NAME_${PN}-cfg = "hostapd"
SYSTEMD_SERVICE_${PN}-cfg = "hostapd.service"
SYSTEMD_AUTO_ENABLE_${PN}-cfg = "disable"
INITSCRIPT_PACKAGES = "${PN}-cfg"
SYSTEMD_PACKAGES = "${PN}-cfg"
INITSCRIPT_NAME = ""
SYSTEMD_SERVICE_${PN} = ""
SYSTEMD_AUTO_ENABLE_${PN} = ""
SYSTEMD_SERVICE_${PN}-cfg = "hostapd.service"
SYSTEMD_AUTO_ENABLE_${PN}-cfg = "disable"

# mLinux files
FILES_${PN}-cfg = "/etc/init.d/hostapd /etc/default/hostapd /etc/hostapd.conf"

pkg_postinst_${PN}-extra() {
	cd /$D
    if patch --dry-run -p1 < $D/usr/share/hostapd/WiFi-SSID.patch ; then
        patch -p1 < $D/usr/share/hostapd/WiFi-SSID.patch
    fi
}

pkg_prerm_${PN}-extra() {
	cd /$D
	patch -Rp1 < $D/usr/share/hostapd/WiFi-SSID.patch
}
